## ros-rolling-plotjuggler-ros 1.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

PROJECT(plotjuggler_ros)

# http://answers.ros.org/question/230877/optionally-build-a-package-with-catkin/
if( CATKIN_DEVEL_PREFIX OR catkin_FOUND OR CATKIN_BUILD_BINARY_PACKAGE)
    set(COMPILING_WITH_CATKIN 1)

    message(STATUS "---------------------------------------------------------------------")
    message(STATUS "PlotJuggler is being built using CATKIN. ROS plugins will be compiled")
    message(STATUS "---------------------------------------------------------------------")

    set(ROS_DEPENDENCIES
        rosbag_storage
        roscpp
        roscpp_serialization
        tf
        tf2_ros
        diagnostic_msgs
        nav_msgs
        sensor_msgs
        plotjuggler_msgs
        plotjuggler )

    find_package(catkin REQUIRED COMPONENTS ${ROS_DEPENDENCIES} )

    catkin_package(
        CATKIN_DEPENDS ${ROS_DEPENDENCIES}  )

elseif( DEFINED ENV{AMENT_PREFIX_PATH})
    set(COMPILING_WITH_AMENT 1)
    
    message(STATUS "---------------------------------------------------------------------")
    message(STATUS "PlotJuggler is being built using AMENT. ROS2 plugins will be compiled")
    message(STATUS "---------------------------------------------------------------------")

    find_package(ament_cmake REQUIRED)
    find_package(rclcpp REQUIRED)
    find_package(rcpputils REQUIRED)
    find_package(rosbag2 REQUIRED)
    find_package(rosbag2_transport REQUIRED)
    find_package(sensor_msgs REQUIRED)
    find_package(geometry_msgs REQUIRED)
    find_package(nav_msgs REQUIRED)
    find_package(diagnostic_msgs REQUIRED)
    find_package(fastcdr REQUIRED)
    find_package(Boost REQUIRED)
    find_package(plotjuggler_msgs REQUIRED)
    find_package(tf2_msgs REQUIRED)
    find_package(tf2_ros REQUIRED)
    find_package(plotjuggler REQUIRED)

else()
    message(FATAL_ERROR "PlotJuggler is being WITHOUT any ROS support")
endif()

cmake_policy (SET CMP0020 NEW)


set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
SET(CMAKE_AUTOUIC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if (NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fno-omit-frame-pointer")
endif()

if(APPLE AND EXISTS /usr/local/opt/qt5)
    # Homebrew installs Qt5 (up to at least 5.9.1) in
    # /usr/local/qt5, ensure it can be found by CMake since
    # it is not in the default /usr/local prefix.
    # source: https://github.com/Homebrew/homebrew-core/issues/8392#issuecomment-325226494
    list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt5")
    set(CMAKE_MACOSX_RPATH 1)
endif()


find_package(Qt5 REQUIRED COMPONENTS
    Core
    Widgets
    Concurrent
    Xml
    Svg
    WebSockets)

set( QT_LINK_LIBRARIES
    Qt5::Core
    Qt5::Widgets
    Qt5::Concurrent
    Qt5::Xml
    Qt5::Svg
    Qt5::WebSockets
    )

if (NOT CMAKE_BUILD_TYPE)
    message(STATUS "No build type selected, default to RelWithDebInfo")
    set(CMAKE_BUILD_TYPE "RelWithDebInfo")
endif()

IF (NOT WIN32)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fPIC")
ENDIF()

include_directories(
    3rdparty
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Widgets_INCLUDE_DIRS}
    ${Qt5Concurrent_INCLUDE_DIRS}
    ${Qt5Xml_INCLUDE_DIRS}
    ${Qt5WebSockets_INCLUDE_DIRS}
    ${Qt5Svg_INCLUDE_DIRS}
)

add_definitions(-DFMT_HEADER_ONLY)

#########################  INSTALL ####################################

if(COMPILING_WITH_CATKIN)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION})
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})

	install(DIRECTORY launch
		DESTINATION share/${PROJECT_NAME})

elseif(COMPILING_WITH_AMENT)
    find_package(ament_cmake REQUIRED)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

	install(DIRECTORY launch
		DESTINATION share/${PROJECT_NAME})
    
else()
    set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/plotjuggler)
endif()

#############################################################

add_subdirectory( plugins )

if(COMPILING_WITH_AMENT)
    ament_package()
endif()

=== plugins/CMakeLists.txt ===
# Qt related stuff
set(CMAKE_AUTOMOC ON)
SET(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)

QT5_WRAP_UI ( COMMON_UI_SRC
    qnodedialog.ui
    rule_editing.ui
    dialog_select_ros_topics.ui
    dialog_with_itemlist.ui
    publisher_select_dialog.ui
    )

SET( COMMON_SRC
    dialog_select_ros_topics.h
    dialog_select_ros_topics.cpp
    dialog_with_itemlist.h
    publisher_select_dialog.h
   )

#############

if(COMPILING_WITH_CATKIN)

    include_directories(
        ros1_introspection/include
        ${catkin_INCLUDE_DIRS}  )

    add_subdirectory(ros1_introspection)

     list(APPEND COMMON_SRC
        qnodedialog.cpp
        rule_editing.cpp
        ros1_parsers/ros1_parser.cpp
        )

    add_library( commonROS STATIC ${COMMON_SRC} ${COMMON_UI_SRC} )
    target_compile_definitions(commonROS PUBLIC DISABLE_RULE_EDITING)
    target_link_libraries( commonROS PRIVATE
        ${Qt5Widgets_LIBRARIES}
        ${Qt5Xml_LIBRARIES}
        ${catkin_LIBRARIES}
        ros_type_introspection_static )

    #########
    add_library( DataLoadROS SHARED
        DataLoadROS/dataload_ros.cpp)
    target_link_libraries( DataLoadROS  commonROS)
    #############
    add_library( DataStreamROS SHARED
        DataStreamROS/datastream_ROS.cpp )
    target_link_libraries( DataStreamROS  commonROS )
    #############
    add_library( RosTopicPublisher SHARED
        TopicPublisherROS/statepublisher_rostopic.cpp)
    target_link_libraries( RosTopicPublisher commonROS )
    #############
    QT5_WRAP_UI ( ROSOUT_UI RosoutPublisher/logwidget.ui )
    add_library( RosoutPublisher SHARED ${ROSOUT_UI}
        RosoutPublisher/rosout_publisher.cpp
        RosoutPublisher/logs_table_model.cpp
        RosoutPublisher/logwidget.cpp
        RosoutPublisher/modelfilter.cpp
        )
    target_link_libraries( RosoutPublisher commonROS )
#######################################################################
elseif(COMPILING_WITH_AMENT)

    include_directories(
        ./
        ${Boost_INCLUDE_DIRS}
        ros2_introspection/include
        ros2_parsers)

    list( APPEND COMMON_SRC
        ros2_introspection/src/ros2_introspection.cpp
        ros2_introspection/src/stringtree.cpp
        ros2_parsers/ros2_parser.cpp )

    set(AMENT_DEPENDENCIES
        rclcpp
        rosbag2
        rcpputils
        fastcdr
        rosbag2_transport
        sensor_msgs
        geometry_msgs
        nav_msgs
        diagnostic_msgs
        plotjuggler_msgs
        tf2_msgs
        tf2_ros
        plotjuggler
        )

    add_library( commonROS STATIC ${COMMON_SRC} ${COMMON_UI_SRC})

    target_compile_definitions(commonROS PUBLIC DISABLE_RULE_EDITING)
    target_link_libraries( commonROS
        ${Qt5Widgets_LIBRARIES}
        ${Qt5Xml_LIBRARIES}
        fastcdr
       )
    ament_target_dependencies( commonROS ${AMENT_DEPENDENCIES})

    #############
    add_library( DataLoadROS2 SHARED
        DataLoadROS2/dataload_ros2.cpp)
    target_link_libraries( DataLoadROS2 commonROS)
    ament_target_dependencies( DataLoadROS2 ${AMENT_DEPENDENCIES})
    #############
    add_library( DataStreamROS2 SHARED
        DataStreamROS2/datastream_ros2.cpp)
    target_link_libraries( DataStreamROS2  commonROS)
    ament_target_dependencies( DataStreamROS2 ${AMENT_DEPENDENCIES})
    #############
    add_library( TopicPublisherROS2 SHARED
        TopicPublisherROS2/publisher_ros2.cpp)
    target_link_libraries( TopicPublisherROS2 commonROS)
    ament_target_dependencies( TopicPublisherROS2 ${AMENT_DEPENDENCIES})
endif()

#######################################################################

if(COMPILING_WITH_CATKIN)
    install(TARGETS
        DataLoadROS
        DataStreamROS
        RosTopicPublisher
        RosoutPublisher
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/
        )
elseif(COMPILING_WITH_AMENT)
    install(TARGETS
        DataLoadROS2
        DataStreamROS2
        TopicPublisherROS2
        DESTINATION  lib/${PROJECT_NAME}  )
endif()

=== debian/changelog ===
ros-rolling-plotjuggler-ros (1.5.1-1focal) focal; urgency=high

  * Merge branch 'rolling' of github.com:PlotJuggler/plotjuggler-ros-plugins into rolling
  * rosbag2 logging hpp change
  * compile with rolling
  * Last galactic API build (#19 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/19>)
    * compile with rolling
    * rosbag2 logging hpp change
    * compils with galactic API
    Co-authored-by: Davide Faconti <mailto:davide.faconti@gmail.com>
  * rosbag2 logging hpp change
  * compile with rolling
  * Contributors: Davide Faconti, G.Doisy, Guillaume Doisy

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 30 Jul 2021 22:00:00 -0000

ros-rolling-plotjuggler-ros (1.5.0-1focal) focal; urgency=high

  * massive changes
    - include consistent timestamp (suggested by @doisyg )
    - lazy initialization in parsers.
    - reusable Header parser
    - string field added
  * add lazy parser inizialization and string field to ROS1
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 19 Jun 2021 22:00:00 -0000

ros-rolling-plotjuggler-ros (1.4.1-1focal) focal; urgency=high

  * remove obsolate headers
  * forget to install launch file for ROS1
  * Contributors: Davide Faconti, Kei Okada

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 17 Jun 2021 22:00:00 -0000

ros-rolling-plotjuggler-ros (1.3.0-1focal) focal; urgency=high

  * use std::any
  * temporary fix for 3.2
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 11 Jun 2021 22:00:00 -0000

ros-rolling-plotjuggler-ros (1.2.0-1focal) focal; urgency=high

  * fix issue #15 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/15> for ROS1 too
  * Merge pull request #4 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/4> from Tobias-Fischer/patch-1
    Fix Windows compilation
  * fix bugs related to TopicPublishers (ros2)
  * Fix isnan issues on Win
  * Fix isnan compilation issue on Win
  * Fix double-defined ERROR
  * Contributors: Davide Faconti, Tobias Fischer

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 02 Jun 2021 22:00:00 -0000

ros-rolling-plotjuggler-ros (1.1.1-1focal) focal; urgency=high

  * Mitigate proble with ros::ok()
  * prepare for newer PJ version
  * address issue with INT64
  * Update README.md
  * fix issue #399 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/399> and #398 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/398>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-rolling-plotjuggler-ros (1.1.0-1focal) focal; urgency=high



 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 30 Jan 2021 23:00:00 -0000

ros-rolling-plotjuggler-ros (1.0.3-1focal) focal; urgency=high

  * fix bug #387 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/387> in Plotjuggler repo
  * Merge pull request #3 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/3> from kefrobotics/development
    Add diagnostic_msgs as ROS2 dependency in CMakeLists.txt files
  * Add diagnostic_msgs as ROS2 dependency in CMakeLists.txt files
  * Contributors: Davide Faconti, Paul Frivold

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-rolling-plotjuggler-ros (1.0.2-1focal) focal; urgency=high

  * Merge branch 'development' of https://github.com/PlotJuggler/plotjuggler-ros-plugins into development
  * fix compilation in ros2
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 29 Dec 2020 23:00:00 -0000

ros-rolling-plotjuggler-ros (1.0.1-1focal) focal; urgency=high

  * Added TF messages to the parser (issue #366 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/366>)
  * Update README.md
  * Update README.md
  * Merge pull request #1 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/1> from uhobeike/development
    Made it possible to install
  * Made it possible to install
  * fix includes
  * Contributors: Davide Faconti, davide, uhobeike

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 17 Dec 2020 23:00:00 -0000

ros-rolling-plotjuggler-ros (1.0.0-1focal) focal; urgency=high

  * Initial commit
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 22 Nov 2020 23:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-plotjuggler-ros//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-plotjuggler-ros 1.7.3

=== debian/changelog ===
ros-rolling-plotjuggler-ros (1.7.3-5jammy) jammy; urgency=high

  * Fix mapping of multiple pal_statistics topics (#61 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/61>)
  * fix implicit uint8_t -> double narrowing (#42 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/42>)
    YES, the standard committee believes this might be narrowing
    and clang 12 throws this error:
    > error: non-constant-expression cannot be narrowed from type 'uint8_t' (aka 'unsigned char') to 'double' in initializer list [-Wc++11-narrowing]
  * Contributors: Michael Görner, Victor Lopez

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 14 Jan 2023 08:00:00 -0000

ros-rolling-plotjuggler-ros (1.6.2-5jammy) jammy; urgency=high

  * parse a ROSBAG even if some topic types are not recognized
  * Update ros2.yaml
  * segmentation fault off (#30 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/30>)
  * Contributors: Davide Faconti, simulacrus

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 21 Oct 2021 07:00:00 -0000

ros-rolling-plotjuggler-ros (1.5.0-5jammy) jammy; urgency=high

  * massive changes
    - include consistent timestamp (suggested by @doisyg )
    - lazy initialization in parsers.
    - reusable Header parser
    - string field added
  * add lazy parser inizialization and string field to ROS1
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 20 Jun 2021 07:00:00 -0000

ros-rolling-plotjuggler-ros (1.4.1-5jammy) jammy; urgency=high

  * remove obsolate headers
  * forget to install launch file for ROS1
  * Contributors: Davide Faconti, Kei Okada

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-plotjuggler-ros (1.3.0-5jammy) jammy; urgency=high

  * use std::any
  * temporary fix for 3.2
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 12 Jun 2021 07:00:00 -0000

ros-rolling-plotjuggler-ros (1.2.0-5jammy) jammy; urgency=high

  * fix issue #15 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/15> for ROS1 too
  * Merge pull request #4 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/4> from Tobias-Fischer/patch-1
    Fix Windows compilation
  * fix bugs related to TopicPublishers (ros2)
  * Fix isnan issues on Win
  * Fix isnan compilation issue on Win
  * Fix double-defined ERROR
  * Contributors: Davide Faconti, Tobias Fischer

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 03 Jun 2021 07:00:00 -0000

ros-rolling-plotjuggler-ros (1.1.1-5jammy) jammy; urgency=high

  * Mitigate proble with ros::ok()
  * prepare for newer PJ version
  * address issue with INT64
  * Update README.md
  * fix issue #399 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/399> and #398 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/398>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 10 May 2021 07:00:00 -0000

ros-rolling-plotjuggler-ros (1.1.0-5jammy) jammy; urgency=high



 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 31 Jan 2021 08:00:00 -0000

ros-rolling-plotjuggler-ros (1.0.3-5jammy) jammy; urgency=high

  * fix bug #387 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/387> in Plotjuggler repo
  * Merge pull request #3 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/3> from kefrobotics/development
    Add diagnostic_msgs as ROS2 dependency in CMakeLists.txt files
  * Add diagnostic_msgs as ROS2 dependency in CMakeLists.txt files
  * Contributors: Davide Faconti, Paul Frivold

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 20 Jan 2021 08:00:00 -0000

ros-rolling-plotjuggler-ros (1.0.2-5jammy) jammy; urgency=high

  * Merge branch 'development' of https://github.com/PlotJuggler/plotjuggler-ros-plugins into development
  * fix compilation in ros2
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 30 Dec 2020 08:00:00 -0000

ros-rolling-plotjuggler-ros (1.0.1-5jammy) jammy; urgency=high

  * Added TF messages to the parser (issue #366 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/366>)
  * Update README.md
  * Update README.md
  * Merge pull request #1 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/1> from uhobeike/development
    Made it possible to install
  * Made it possible to install
  * fix includes
  * Contributors: Davide Faconti, davide, uhobeike

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 18 Dec 2020 08:00:00 -0000

ros-rolling-plotjuggler-ros (1.0.0-5jammy) jammy; urgency=high

  * Initial commit
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 23 Nov 2020 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-plotjuggler-ros
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), binutils-dev, libboost-all-dev, libqt5svg5-dev, libqt5websockets5-dev, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-diagnostic-msgs, ros-rolling-fastcdr, ros-rolling-geometry-msgs, ros-rolling-nav-msgs, ros-rolling-plotjuggler, ros-rolling-plotjuggler-msgs, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosbag2, ros-rolling-rosbag2-transport, ros-rolling-sensor-msgs, ros-rolling-tf2-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: https://github.com/facontidavide/PlotJuggler
Standards-Version: 3.9.2

Package: ros-rolling-plotjuggler-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-dev, libboost-all-dev, libqt5svg5-dev, libqt5websockets5-dev, qtbase5-dev, ros-rolling-diagnostic-msgs, ros-rolling-fastcdr, ros-rolling-geometry-msgs, ros-rolling-nav-msgs, ros-rolling-plotjuggler, ros-rolling-plotjuggler-msgs, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosbag2, ros-rolling-rosbag2-transport, ros-rolling-sensor-msgs, ros-rolling-tf2-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: PlotJuggler plugin for ROS

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
